com.comtrade.ecm.app.pudms.jobs

## Class EcmQuartzTriggerListener

- java.lang.Object
- - com.comtrade.ecm.app.pudms.jobs.EcmQuartzTriggerListener

- All Implemented Interfaces:
    org.quartz.TriggerListener

      public class EcmQuartzTriggerListener
      extends java.lang.Object
      implements org.quartz.TriggerListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EcmQuartzTriggerListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `void` | `triggerComplete(org.quartz.Trigger arg0, org.quartz.JobExecutionContext arg1, org.quartz.Trigger.CompletedExecutionInstruction arg2)`
    `void` | `triggerFired(org.quartz.Trigger arg0, org.quartz.JobExecutionContext arg1)`
    `void` | `triggerMisfired(org.quartz.Trigger arg0)`
    `boolean` | `vetoJobExecution(org.quartz.Trigger arg0, org.quartz.JobExecutionContext arg1)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EcmQuartzTriggerListener

          public EcmQuartzTriggerListener()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.quartz.TriggerListener`

    - #### triggerComplete

          public void triggerComplete(org.quartz.Trigger arg0,
                                      org.quartz.JobExecutionContext arg1,
                                      org.quartz.Trigger.CompletedExecutionInstruction arg2)

      Specified by:
        `triggerComplete` in interface `org.quartz.TriggerListener`

    - #### triggerFired

          public void triggerFired(org.quartz.Trigger arg0,
                                   org.quartz.JobExecutionContext arg1)

      Specified by:
        `triggerFired` in interface `org.quartz.TriggerListener`

    - #### triggerMisfired

          public void triggerMisfired(org.quartz.Trigger arg0)

      Specified by:
        `triggerMisfired` in interface `org.quartz.TriggerListener`

    - #### vetoJobExecution

          public boolean vetoJobExecution(org.quartz.Trigger arg0,
                                          org.quartz.JobExecutionContext arg1)

      Specified by:
        `vetoJobExecution` in interface `org.quartz.TriggerListener`